Page MenuHomePhabricator

Set up puppet to handle the global and scheduler configuration of gridengine
Closed, ResolvedPublic

Description

The grid_configurator script (currently manually run) can and should be extended to manage the runtime global and scheduler environment on gridengine in order to surface and provide better institutional memory around the variables an changes in there.

It'd be a fine place to mention T67777, for instance, so we know why we did what we did in the future.

Event Timeline

Bstorm triaged this task as Normal priority.Jan 8 2019, 3:51 PM
Bstorm created this task.
Bstorm moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.

Change 483864 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] sonofgridengine: control the global and scheduler grid config in puppet

https://gerrit.wikimedia.org/r/483864

Bstorm renamed this task from Extend grid_configurator.py and puppet to handle the global and scheduler configuration of gridengine to Set up puppet to handle the global and scheduler configuration of gridengine.Jan 11 2019, 9:54 PM

Change 483864 merged by Bstorm:
[operations/puppet@production] sonofgridengine: control the global and scheduler grid config in puppet

https://gerrit.wikimedia.org/r/483864

Bstorm closed this task as Resolved.Jan 17 2019, 11:53 PM